Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.common
Class AssertionError

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Error
                  |
                  +--weblogic.utils.NestedError
                        |
                        +--weblogic.utils.AssertionError
                              |
                              +--weblogic.common.AssertionError

Deprecated. This class was not intended for public use and will be removed in a future release.

public class AssertionError
extends weblogic.utils.AssertionError

Class for assertion errors -- this error should be thrown to indicate an internal error; i.e. the code went down a path that we believed to be impossible. It should never be caught!

Author:
  Copyright (c) 1997 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`AssertionError()` Deprecated. Create a new AssertionError with the default message of: "***** ASSERTION FAILED *****"
`AssertionError(java.lang.String msg)` Deprecated. Create a new AssertionError with the default message and the given msg appended.
`AssertionError(java.lang.String msg, java.lang.Throwable nested)` Deprecated. Create a new AssertionError with the default message and the given msg appended and with the given Throwable nested inside.
`AssertionError(java.lang.Throwable nested)` Deprecated. Create a new AssertionError with the default message and with the given Throwable nested inside.

Methods inherited from class weblogic.utils.NestedError
`getNested, getNestedError, printStackTrace, printStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssertionError

    public AssertionError()

  Deprecated.
  Create a new AssertionError with the default message of: "***** ASSERTION FAILED *****"

### AssertionError

    public AssertionError(java.lang.String msg)

  Deprecated.
  Create a new AssertionError with the default message and the given msg appended.

### AssertionError

    public AssertionError(java.lang.Throwable nested)

  Deprecated.
  Create a new AssertionError with the default message and with the given Throwable nested inside.

### AssertionError

    public AssertionError(java.lang.String msg,
                          java.lang.Throwable nested)

  Deprecated.
  Create a new AssertionError with the default message and the given msg appended and with the given Throwable nested inside.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD